<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:template match="@*|node()">
    <xsl:copy>
		<xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>


  <xsl:template match="DEPSEADECL/DEPSEADECL_ITEM/DEPSEADECLGoods/DEPSEADECLGOODS_ITEM/PlacesQuantity">
    <PlacesQuantity>
      <xsl:choose> 
        <xsl:when test="string-length(normalize-space(text()))=0 and sum(../Container/CONTAINER_ITEM/Place)>0">
          <xsl:value-of select="format-number(sum(../Container/CONTAINER_ITEM/Place), '#########')"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="text()"/>
        </xsl:otherwise>
      </xsl:choose> 
    </PlacesQuantity>
  </xsl:template>

  <xsl:template match="DEPSEADECL/DEPSEADECL_ITEM/DEPSEADECLGoods/DEPSEADECLGOODS_ITEM/GrossWeightQuantity">
    <GrossWeightQuantity>
      <xsl:choose> 
        <xsl:when test="string-length(normalize-space(text()))=0 and sum(../Container/CONTAINER_ITEM/Weight)>0">
          <xsl:value-of select="format-number(sum(../Container/CONTAINER_ITEM/Weight), '#########.000')"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="text()"/>
        </xsl:otherwise>
      </xsl:choose> 
    </GrossWeightQuantity>
  </xsl:template>
  
  <!--<xsl:key use="./CONTAINER_ITEM/GoodsDescription" name="DescrCont" match="DEPSEADECL/DEPSEADECL_ITEM/DEPSEADECLGoods/DEPSEADECLGOODS_ITEM/Container[string-length(CONTAINER_ITEM/GoodsDescription)>0]"/>
 <xsl:template match="DEPSEADECL/DEPSEADECL_ITEM/DEPSEADECLGoods/DEPSEADECLGOODS_ITEM/Container[string-length(CONTAINER_ITEM/GoodsDescription)>0]">
	<xsl:param name="DescrGood"/>
	<xsl:choose>
		<xsl:when test="$DescrGood='1'">
			<xsl:value-of select="concat(GoodsDescription,', ')"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:copy>
				<xsl:apply-templates select="@*|node()"/>
			</xsl:copy>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>-->

 <xsl:template match="DEPSEADECL/DEPSEADECL_ITEM/DEPSEADECLGoods/DEPSEADECLGOODS_ITEM[string-length(GoodsDescription)=0]/GoodsDescription">
	
    <GoodsDescription>
		<xsl:choose>
			<xsl:when test="count(../Container/CONTAINER_ITEM[string-length(GoodsDescription)>0]/GoodsDescription)>1">
				<xsl:for-each select="../Container/CONTAINER_ITEM[not(GoodsDescription=preceding-sibling::*/GoodsDescription)]/GoodsDescription">
					<xsl:sort select="."/>
					<xsl:value-of select="."/>
					<xsl:if test="position()!=last()">,</xsl:if>
				</xsl:for-each>
			</xsl:when>
			<xsl:when test="count(../Container/CONTAINER_ITEM[string-length(GoodsDescription)>0]/GoodsDescription)=1">
				<xsl:value-of select="../Container/CONTAINER_ITEM[string-length(GoodsDescription)>0]/GoodsDescription"/>
			</xsl:when>
		</xsl:choose>
		
		<!--<xsl:apply-templates select="../Container[generate-id(.)=generate-id(key('DescrCont',./CONTAINER_ITEM/GoodsDescription))]">
			<xsl:with-param name="DescrGood" select="1"/>
		</xsl:apply-templates>-->
    </GoodsDescription>
  </xsl:template>


</xsl:stylesheet>
